routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

#Route::get('/home', 'HomeController@index')->name('home');

// Route::group(['middleware' => ['auth']], function() {
    
// });
Route::group(['as' => 'admin.', 'prefix' => 'admin', 'namespace' => 'Admin', 'middleware' => ['auth']], function() {
    Route::get('/dash','AdminController@index')->name('admin_home');
    Route::resource('roles','RoleController');
    Route::resource('users','UserController');
    Route::resource('products','ProductController');
    Route::resource('pages','PageController');
    Route::resource('posts','PostController');
    Route::resource('categories','CategoryController');
    Route::resource('media','MediaController');
    Route::resource('tags','TagController');
    route::get('profile/','ProfileController@show')->name('profile');
    route::post('profile/','ProfileController@update')->name('profile.update');
    Route::get('setting/general/','GeneralSettingController@general')->name('setting.general');
    route::post('setting/general/','GeneralSettingController@store')->name('setting.update');
    route::get('setting/contact/','GeneralSettingController@contact')->name('setting.contact');
    route::post('setting/contact/','GeneralSettingController@store')->name('setting.updateContact');
    route::get('setting/email/','GeneralSettingController@email')->name('setting.email');
    route::post('setting/email/','GeneralSettingController@store')->name('setting.emailUpdate');
    route::get('setting/google/','GeneralSettingController@google')->name('setting.google');
    route::post('setting/google/','GeneralSettingController@store')->name('setting.googleUpdate');
    Route::post('ckeditor/image_upload', 'CKEditorController@upload')->name('upload');
    Route::get('ckeditor/image_browse', 'CKEditorController@browse')->name('browse');
    Route::post('commonupload','CKEditorController@common_upload')->name('common_upload');
});

Route::get('/test', function(){
    $zones = timezone_identifiers_list();

    dd(array_combine(timezone_identifiers_list(),timezone_identifiers_list()));

});
//Route::get('{slug}','PageController@all')->where('slug','([A-Za-z0-9\-\/]+)');

resources/views/elements/admin/footer.blade.php
<footer class="py-4 bg-light mt-auto">
                    <div class="container-fluid">
                        <div class="d-flex align-items-center justify-content-between small">
                            <div class="text-muted">Copyright &copy; Your Website 2019</div>
                            <div>
                                <a href="#">Privacy Policy</a>
                                &middot;
                                <a href="#">Terms &amp; Conditions</a>
                            </div>
                        </div>
                    </div>
                </footer>

resources/views/elements/admin/header.blade.php
<nav class="sb-topnav navbar navbar-expand navbar-dark bg-dark">
            <a class="navbar-brand" href="{{route('admin.admin_home')}}">{{ config('app.name') }}</a><button class="btn btn-link btn-sm order-1 order-lg-0" id="sidebarToggle" href="#"><i class="fas fa-bars"></i></button
            ><!-- Navbar Search-->
            <form class="d-none d-md-inline-block form-inline ml-auto mr-0 mr-md-3 my-2 my-md-0">
                <div class="input-group">
                    <input class="form-control" type="text" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2" />
                    <div class="input-group-append">
                        <button class="btn btn-primary" type="button"><i class="fas fa-search"></i></button>
                    </div>
                </div>
            </form>
            <!-- Navbar-->
            <ul class="navbar-nav ml-auto ml-md-0">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" id="userDropdown" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="fas fa-user fa-fw"></i></a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
                        <a class="dropdown-item" href="{{ route('admin.profile') }}">{{ __('Profile') }}</a>
                        <a class="dropdown-item" href="#">Activity Log</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>
                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                    </div>
                </li>
            </ul>
        </nav>

resources/views/elements/admin/sidebar.blade.php
<div id="layoutSidenav">
            <div id="layoutSidenav_nav">
                <nav class="sb-sidenav accordion sb-sidenav-dark" id="sidenavAccordion">
                    <div class="sb-sidenav-menu">
                        <div class="nav">
                            <div class="sb-sidenav-menu-heading">Core</div>
                            <a class="nav-link" href="{{route('admin.admin_home')}}"
                                ><div class="sb-nav-link-icon"><i class="fas fa-tachometer-alt"></i></div>
                                Dashboard</a
                                >
                            <div class="sb-sidenav-menu-heading">Interface</div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseLayouts" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                {{__('Posts')}}
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseLayouts" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav">
                                    <a class="nav-link" href="{{ route('admin.posts.index') }}">{{ __('List') }}</a>
                                    <a class="nav-link" href="{{ route('admin.posts.create') }}">{{ __('Add') }}</a>
                                </nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseMedia" aria-expanded="false" aria-controls="collapseMedia"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                {{__('Media')}}
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseMedia" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav">
                                    <a class="nav-link" href="{{ route('admin.media.index') }}">{{ __('List') }}</a>
                                    <a class="nav-link" href="{{ route('admin.media.create') }}">{{ __('Add') }}</a>
                                </nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePage" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                {{__('Pages')}}
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapsePage" aria-labelledby="headingOne" data-parent="#collapsePage">
                                <nav class="sb-sidenav-menu-nested nav">
                                <a class="nav-link" href="{{route('admin.pages.index')}}">{{__('List')}}</a>
                                <a class="nav-link" href="{{route('admin.pages.create')}}">{{__('Add')}}</a>
                                </nav>
                            </div>
                            <div class="sb-sidenav-menu-heading">System and Setting</div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseSetting" aria-expanded="false" aria-controls="collapseSetting"
                                ><div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                {{ __('Setting') }}
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseSetting" aria-labelledby="headingTwo" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                                    <a class="nav-link collapsed" href="{{ route('admin.setting.general') }}" >
                                        {{ __('General') }}
                                       </a>
                                       <a class="nav-link collapsed" href="{{ route('admin.setting.contact') }}" >
                                        {{ __('Contact') }}
                                       </a>
                                       <a class="nav-link collapsed" href="{{ route('admin.setting.email') }}" >
                                        {{ __('Email') }}
                                       </a>
                                       <a class="nav-link collapsed" href="{{ route('admin.setting.google') }}" >
                                        {{ __('Google') }}
                                       </a>
                                </nav>
                            </div>
                            <div class="sb-sidenav-menu-heading">User & Roles</div>
                            
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseUsers" aria-expanded="false" aria-controls="collapsePages"
                                ><div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                User
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseUsers" aria-labelledby="headingTwo" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                                    <a class="nav-link " href="{{route('admin.users.index')}}" >
                                    {{__('List')}}
                                        </a>
                                        <a class="nav-link " href="{{route('admin.users.create')}}" >
                                    {{__('Add')}}
                                        </a>    
                                </nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseRoles" aria-expanded="false" aria-controls="collapsePages"
                                ><div class="sb-nav-link-icon"><i class="fas fa-book-open"></i></div>
                                Roles
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseRoles" aria-labelledby="headingTwo" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav accordion" id="sidenavAccordionPages">
                                    <a class="nav-link " href="{{route('admin.roles.index')}}" >
                                    {{__('List')}}
                                        </a>
                                        <a class="nav-link " href="{{route('admin.roles.create')}}" >
                                    {{__('Add')}}
                                        </a>    
                                </nav>
                            </div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseLayouts" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                Layouts
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <div class="collapse" id="collapseLayouts" aria-labelledby="headingOne" data-parent="#sidenavAccordion">
                                <nav class="sb-sidenav-menu-nested nav"><a class="nav-link" href="layout-static.html">Static Navigation</a><a class="nav-link" href="layout-sidenav-light.html">Light Sidenav</a></nav>
                            </div>
                            <div class="sb-sidenav-menu-heading">Users & Roles</div>
                            <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseLayouts" aria-expanded="false" aria-controls="collapseLayouts"
                                ><div class="sb-nav-link-icon"><i class="fas fa-columns"></i></div>
                                {{__('Posts')}}
                                <div class="sb-sidenav-collapse-arrow"><i class="fas fa-angle-down"></i></div
                            ></a>
                            <a class="nav-link" href="charts.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-chart-area"></i></div>
                                Charts</a
                            ><a class="nav-link" href="tables.html"
                                ><div class="sb-nav-link-icon"><i class="fas fa-table"></i></div>
                                Tables</a
                            >
                        </div>
                    </div>
                    <div class="sb-sidenav-footer">
                        <div class="small">Logged in as:</div>
                        {{ Auth::user()->name }}
                    </div>
                </nav>
            </div>